CCfits 2.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CCfits::FITS::NoSuchHDU Class Reference
FITS Exceptions

exception thrown by HDU retrieval methods. More...

`#include <FITS.h>`

Inheritance diagram for CCfits::FITS::NoSuchHDU:

List of all members.

## Public Member Functions
| NoSuchHDU (const String &diag, bool silent=true)
| Exception ctor, prefixes the string "FITS Error: Cannot read HDU in FITS file:" before the specific message.

## Detailed Description

exception thrown by HDU retrieval methods.

## Constructor & Destructor Documentation

CCfits::FITS::NoSuchHDU::NoSuchHDU | ( | const String & | diag,
|  | bool | silent = `true`
| ) |  |

Exception ctor, prefixes the string "FITS Error: Cannot read HDU in FITS file:" before the specific message.

Parameters:

  diag | A specific diagnostic message, usually the name of the extension whose read was attempted.
  silent | if true, print message whether FITS::verboseMode is set or not.

Exception to be thrown by failed seek operations

The documentation for this class was generated from the following files:

- FITS.h
- FITS.cxx